/*
====================================================================================================

    Copyright (C) 2021 RRe36

    All Rights Reserved unless otherwise explicitly stated.


    By downloading this you have agreed to the license and terms of use.
    These can be found inside the included license-file
    or here: https://rre36.com/copyright-license

    Violating these terms may be penalized with actions according to the Digital Millennium
    Copyright Act (DMCA), the Information Society Directive and/or similar laws
    depending on your country.

====================================================================================================
*/

int remapEmissionID(int mcEntity) {     // Eight Bits
    int blockID     = 0;

    /* Albedo Tinted Emission */
    if (mcEntity == 1000
     || mcEntity == 1004) blockID = 1;  // Bright Block Emitters

    if (mcEntity == 1001
     || mcEntity == 1005
     || mcEntity == 10002) blockID = 2;  // Medium Block Emitters

    if (mcEntity == 1002
     || mcEntity == 1006) blockID = 3;  // Dim Block Emitters

    if (mcEntity == 1003
     || mcEntity == 1007) blockID = 4;  // Very Dim Block Emitters

    #ifdef ConretePowderEmission
    if (mcEntity == 1025) blockID = 2;
    #endif

    /* Hardcoded Emission Types */
    if (mcEntity == 1020) blockID = 10;  // Torchlight
    if (mcEntity == 1021) blockID = 11;  // Redstone Torch
    if (mcEntity == 1022
     || mcEntity == 1051) blockID = 12;  // Soullight
    if (mcEntity == 1023) blockID = 13;  // Fire
    if (mcEntity == 1060
     || mcEntity == 1061
     || mcEntity == 1062) blockID = 20;  // End Rod
    if (mcEntity == 1052) blockID = 21;  // Amethyst
    if (mcEntity == 1053) blockID = 22;  // Amethyst

    return blockID;
}