const float indirectResScale = sqrt(1.0 / indirectResReduction);

const int shadowMapResolution = 4096; 	//[2048 4096 6144 8192]

#define cloudShadowmapRenderDistance 8e3
#define cloudShadowmapResolution 512

const int noiseTextureResolution = 256;

const int voxelMapRes = int(shadowMapResolution * MC_SHADOW_QUALITY);
const int shadowMapRes = int(shadowMapResolution * MC_SHADOW_QUALITY);

#ifndef DIM
    #define generateShadowmap
#endif

#define blocklightBaseMult pi

#define minimumAmbientColor vec3(0.5, 0.7, 1.0)
#define minimumAmbientMult 0.004

#define OCTREE_LEVELS 4     //[1 2 3 4]
#define maxTraversalDistance 64     //[16 24 32 48 64 96 128

#define DEBUG_VIEW 0    //[0 1 2 3 4 5 6] 0-off, 1-whiteworld, 2-indirect light, 3-albedo/unlit, 4-irradiance cache, 5-hdr